Get Stopwatch entryGET
Description
Returns a single Stopwatch entry.
Permissions
Request format
curl https://kanbanflow.com/api/v1/stopwatch-entries/<STOPWATCH_ENTRY_ID>
Example request
curl https://kanbanflow.com/api/v1/stopwatch-entries/EyS84FdLk
Example response
{
"_id": "EyS84FdLk",
"userId": "UHJ9JgtA",
"startTimestamp": "2023-01-02T08:30:00Z",
"parts": [
{
"endTimestamp": "2023-01-02T08:45:00Z",
"taskId": "T3s6UGyzY",
"boardId": "BZrWANX8T"
},
{
"endTimestamp": "2023-01-02T08:51:00Z",
"taskId": "TZ8avKBVt",
"boardId": "BZrWANX8T"
}
]
}Response properties
| Property | Type | Comment |
|---|---|---|
| _id | String | The ID of the Stopwatch entry. |
| userId | String | The ID of the user that added the Stopwatch entry. |
| startTimestamp | String | The UTC timestamp when the Stopwatch entry started, for example 2023-12-31T09:00:00Z. |
| parts | Array | Refers to parts of the Stopwatch session. Each part includes task ID, board ID and end timestamp. The end timestamp is a UTC timestamp, for example 2023-12-31T17:00:00Z. |
| comment | String | A comment to the time entry. Only included when set. |
| labelNames | Array | Labels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"]. |